package model

type MallOrdListRelate struct {
	Id          int64   `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Oid         int64   `json:"oid" xorm:"not null default 0 comment('订单号') index unique(IDX_ORD) BIGINT(20)"`
	Uid         int     `json:"uid" xorm:"not null default 0 comment('用户ID') unique(IDX_ORD) index INT(10)"`
	Amount      float64 `json:"amount" xorm:"not null default 0.00 comment('金额') FLOAT(10,2)"`
	Pvd         string  `json:"pvd" xorm:"not null default '' comment('类型：mall_goods 自营普通商品 group_buy 拼团未中奖分佣') index VARCHAR(255)"`
	CreateAt    int     `json:"create_at" xorm:"not null default 0 comment('订单创建时间') index INT(10)"`
	Level       int     `json:"level" xorm:"not null default 0 comment('0自购 1直推 大于1：间推') INT(10)"`
	ReturnMoney float64 `json:"return_money" xorm:"not null default 0.00 comment('返现金额') DOUBLE(10,2)"`
}
